Skip to main content
PUT
Update event details

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

id
integer
required

Journey ID in the authenticated organization.

Example:

42

Body

application/json
name
string

Name.

Maximum string length: 255
Example:

"Annual Gala"

slug
string | null

Slug.

Maximum string length: 255
Pattern: ^[a-z0-9-]+$
Example:

"annual-gala"

description
string | null

Description.

Example:

"Example"

type
string | null

Type.

Maximum string length: 80
Example:

"Example"

status
enum<string> | null

Status.

Available options:
draft,
published,
registration_open,
registration_closed,
live,
completed,
reconciled,
archived,
null
Example:

"draft"

visibility
enum<string> | null

Visibility.

Available options:
public,
unlisted,
invite_only,
internal,
null
Example:

"public"

search_indexing_enabled
boolean | null

Search indexing enabled.

Example:

false

timezone
string | null

Timezone.

Maximum string length: 64
Example:

"Example"

starts_at
string<date-time> | null

Starts at. Date without offset is interpreted in the event timezone.

Example:

"2026-12-20T18:00:00Z"

ends_at
string<date-time> | null

Ends at. Date without offset is interpreted in the event timezone. Must be at least starts_at.

Example:

"2026-12-20T18:00:00Z"

registration_opens_at
string<date-time> | null

Registration opens at. Date without offset is interpreted in the event timezone.

Example:

"2026-12-20T18:00:00Z"

registration_closes_at
string<date-time> | null

Registration closes at. Date without offset is interpreted in the event timezone.

Example:

"2026-12-20T18:00:00Z"

location_name
string | null

Location name.

Maximum string length: 255
Example:

"Example"

location_address
string | null

Location address.

Example:

"Example"

public_location_mode
enum<string> | null

Public location mode.

Available options:
hidden,
summary,
venue_only,
full,
null
Example:

"hidden"

public_location_summary
string | null

Public location summary.

Maximum string length: 255
Example:

"Example"

full_address_release_policy
enum<string> | null

Full address release policy.

Available options:
never,
after_confirmation,
confirmation_email,
scheduled_reminder,
null
Example:

"never"

full_address_release_at
string<date-time> | null

Full address release at. Date without offset is interpreted in the event timezone.

Example:

"2026-12-20T18:00:00Z"

communications_hold
boolean | null

Communications hold.

Example:

false

release_communications_hold_confirmed
boolean | null

Release communications hold confirmed.

Example:

false

registration_identity_mode
enum<string> | null

Registration identity mode.

Available options:
minimal_rsvp,
organization_donor_form,
custom_event_fields,
null
Example:

"minimal_rsvp"

virtual_url
string | null

Virtual url.

Maximum string length: 255
Example:

"Example"

capacity
integer | null

Capacity.

Required range: x >= 1
Example:

1

program_id
integer | null

Program id. Referenced record must belong to the authenticated organization.

Example:

1

campaign_program_id
integer | null

Campaign program id. Referenced record must belong to the authenticated organization.

Example:

1

recipient_group_entity_id
integer | null

Recipient group entity id. Referenced record must belong to the authenticated organization. Sample trip records are unavailable.

Example:

1

trip_id
integer | null

Trip id. Referenced record must belong to the authenticated organization. Sample trip records are unavailable.

Example:

1

designation_entity_id
integer | null

Designation entity id. Referenced record must belong to the authenticated organization. Sample trip records are unavailable.

Example:

1

cover_image_id
integer | null

Cover image id. Referenced record must belong to the authenticated organization.

Example:

1

settings
object | null

Settings.

template
string | null

Template.

Maximum string length: 80
Example:

"Example"

starter_preset
string | null

Starter preset.

Example:

"Example"

seed_standard_communications
boolean | null

Seed standard communications.

Example:

false

Response

Update event details completed.

data
object